Organization roles
GET
/organizations/{organizationId}/iam-roles
List the IAM roles that are defined for this organization.
Abfrageparameter
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Antwort-Payload
results
array of object
erforderlich
List of roles.
Untergeordnete Attribute anzeigen
results.accessKeysDependencyCount
integer
erforderlich
The number of access keys this role is assigned to.
results.actions
array of object
Actions this role contains.
Untergeordnete Attribute anzeigen
results.actions.name
string
erforderlich
The name of the action.
results.actions.type
string
erforderlich
The type that the action belongs to.
results.createdAt
string
erforderlich
When this role was created.
results.description
string
Role description.
results.id
string
erforderlich
ID of the role.
results.metadata
object
Metadata for the IAM Role.
Untergeordnete Attribute anzeigen
results.metadata.clouds
array of string
results.name
string
erforderlich
Role name.
results.organizationId
string
ID of the organization to which this role belongs.
results.policies
array of object
erforderlich
IAM Policies this role contains.
Untergeordnete Attribute anzeigen
The IAM policy record.
results.policies.createdAt
string
erforderlich
When the IAM Policy was created.
results.policies.definitions
array of object
erforderlich
List of IAM Policy definitions.
Untergeordnete Attribute anzeigen
results.policies.definitions.actions
array of string
erforderlich
A list of actions
results.policies.definitions.conditionsAll
array of object
Untergeordnete Attribute anzeigen
results.policies.definitions.conditionsAll.any
object
results.policies.definitions.effect
string
erforderlich
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
results.policies.definitions.resources
array of string
erforderlich
A list of resources
results.policies.description
string
IAM Policy description.
results.policies.id
string
erforderlich
ID of the IAM Policy.
results.policies.metadata
object
Metadata for the IAM Policy.
Untergeordnete Attribute anzeigen
results.policies.metadata.apps
array of string
results.policies.metadata.clouds
array of string
results.policies.metadata.groups
array of string
results.policies.name
string
erforderlich
IAM Policy name.
results.policies.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
results.policies.scope
string
erforderlich
The scope to which this policy applies.
Possible values: organization, root
results.policies.updatedAt
string
erforderlich
When the IAM Policy was last updated.
results.policies.usersDependencyCount
integer
The number of users that depend on this IAM policy.
results.policies.id
string
erforderlich
ID of the IAM Policy.
results.policies.type
string
erforderlich
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
results.type
string
erforderlich
Whether this role is managed by MessageBird or by the organization.
Possible values: organization, managed
results.updatedAt
string
erforderlich
When this role was last updated.
results.usersDependencyCount
integer
erforderlich
The number of users this role is assigned to.
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Codebeispiel
curl -X GET 'https://api.bird.com/organizations/{organizationId}/iam-roles' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/organizations/{organizationId}/iam-roles
Create a new IAM role for this organization.
Anfrage-Payload
name
string
erforderlich
Role name.
description
string
Role description.
policies
array of object
erforderlich
IAM Policies this role contains.
Untergeordnete Parameter anzeigen
policies.id
string
erforderlich
ID of the IAM Policy.
policies.type
string
erforderlich
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
Antwort-Payload
accessKeysDependencyCount
integer
erforderlich
The number of access keys this role is assigned to.
actions
array of object
Actions this role contains.
Untergeordnete Attribute anzeigen
actions.name
string
erforderlich
The name of the action.
actions.type
string
erforderlich
The type that the action belongs to.
createdAt
string
erforderlich
When this role was created.
description
string
Role description.
id
string
erforderlich
ID of the role.
metadata
object
Metadata for the IAM Role.
Untergeordnete Attribute anzeigen
metadata.clouds
array of string
name
string
erforderlich
Role name.
organizationId
string
ID of the organization to which this role belongs.
policies
array of object
erforderlich
IAM Policies this role contains.
Untergeordnete Attribute anzeigen
The IAM policy record.
policies.createdAt
string
erforderlich
When the IAM Policy was created.
policies.definitions
array of object
erforderlich
List of IAM Policy definitions.
Untergeordnete Attribute anzeigen
policies.definitions.actions
array of string
erforderlich
A list of actions
policies.definitions.conditionsAll
array of object
Untergeordnete Attribute anzeigen
policies.definitions.conditionsAll.any
object
policies.definitions.effect
string
erforderlich
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
policies.definitions.resources
array of string
erforderlich
A list of resources
policies.description
string
IAM Policy description.
policies.id
string
erforderlich
ID of the IAM Policy.
policies.metadata
object
Metadata for the IAM Policy.
Untergeordnete Attribute anzeigen
policies.metadata.apps
array of string
policies.metadata.clouds
array of string
policies.metadata.groups
array of string
policies.name
string
erforderlich
IAM Policy name.
policies.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
policies.scope
string
erforderlich
The scope to which this policy applies.
Possible values: organization, root
policies.updatedAt
string
erforderlich
When the IAM Policy was last updated.
policies.usersDependencyCount
integer
The number of users that depend on this IAM policy.
policies.id
string
erforderlich
ID of the IAM Policy.
policies.type
string
erforderlich
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
type
string
erforderlich
Whether this role is managed by MessageBird or by the organization.
Possible values: organization, managed
updatedAt
string
erforderlich
When this role was last updated.
usersDependencyCount
integer
erforderlich
The number of users this role is assigned to.
Codebeispiel
curl -X POST 'https://api.bird.com/organizations/{organizationId}/iam-roles' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/organizations/{organizationId}/iam-roles/{roleId}
Retrieve a single IAM role.
Antwort-Payload
accessKeysDependencyCount
integer
erforderlich
The number of access keys this role is assigned to.
actions
array of object
Actions this role contains.
Untergeordnete Attribute anzeigen
actions.name
string
erforderlich
The name of the action.
actions.type
string
erforderlich
The type that the action belongs to.
createdAt
string
erforderlich
When this role was created.
description
string
Role description.
id
string
erforderlich
ID of the role.
metadata
object
Metadata for the IAM Role.
Untergeordnete Attribute anzeigen
metadata.clouds
array of string
name
string
erforderlich
Role name.
organizationId
string
ID of the organization to which this role belongs.
policies
array of object
erforderlich
IAM Policies this role contains.
Untergeordnete Attribute anzeigen
The IAM policy record.
policies.createdAt
string
erforderlich
When the IAM Policy was created.
policies.definitions
array of object
erforderlich
List of IAM Policy definitions.
Untergeordnete Attribute anzeigen
policies.definitions.actions
array of string
erforderlich
A list of actions
policies.definitions.conditionsAll
array of object
Untergeordnete Attribute anzeigen
policies.definitions.conditionsAll.any
object
policies.definitions.effect
string
erforderlich
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
policies.definitions.resources
array of string
erforderlich
A list of resources
policies.description
string
IAM Policy description.
policies.id
string
erforderlich
ID of the IAM Policy.
policies.metadata
object
Metadata for the IAM Policy.
Untergeordnete Attribute anzeigen
policies.metadata.apps
array of string
policies.metadata.clouds
array of string
policies.metadata.groups
array of string
policies.name
string
erforderlich
IAM Policy name.
policies.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
policies.scope
string
erforderlich
The scope to which this policy applies.
Possible values: organization, root
policies.updatedAt
string
erforderlich
When the IAM Policy was last updated.
policies.usersDependencyCount
integer
The number of users that depend on this IAM policy.
policies.id
string
erforderlich
ID of the IAM Policy.
policies.type
string
erforderlich
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
type
string
erforderlich
Whether this role is managed by MessageBird or by the organization.
Possible values: organization, managed
updatedAt
string
erforderlich
When this role was last updated.
usersDependencyCount
integer
erforderlich
The number of users this role is assigned to.
Codebeispiel
curl -X GET 'https://api.bird.com/organizations/{organizationId}/iam-roles/{roleId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/organizations/{organizationId}/iam-roles/{roleId}
Remove an IAM role from the organization.
Codebeispiel
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/iam-roles/{roleId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/organizations/{organizationId}/iam-roles/{roleId}
Update an IAM role's properties.
Anfrage-Payload
name
string
Role name.
description
string
Role description.
policies
array of object
IAM Policies this role contains.
Untergeordnete Parameter anzeigen
policies.id
string
erforderlich
ID of the IAM Policy.
policies.type
string
erforderlich
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
actions
array of object
Actions this role contains.
Untergeordnete Parameter anzeigen
actions.name
string
erforderlich
The name of the action.
actions.type
string
erforderlich
The type that the action belongs to.
Antwort-Payload
accessKeysDependencyCount
integer
erforderlich
The number of access keys this role is assigned to.
actions
array of object
Actions this role contains.
Untergeordnete Attribute anzeigen
actions.name
string
erforderlich
The name of the action.
actions.type
string
erforderlich
The type that the action belongs to.
createdAt
string
erforderlich
When this role was created.
description
string
Role description.
id
string
erforderlich
ID of the role.
metadata
object
Metadata for the IAM Role.
Untergeordnete Attribute anzeigen
metadata.clouds
array of string
name
string
erforderlich
Role name.
organizationId
string
ID of the organization to which this role belongs.
policies
array of object
erforderlich
IAM Policies this role contains.
Untergeordnete Attribute anzeigen
The IAM policy record.
policies.createdAt
string
erforderlich
When the IAM Policy was created.
policies.definitions
array of object
erforderlich
List of IAM Policy definitions.
Untergeordnete Attribute anzeigen
policies.definitions.actions
array of string
erforderlich
A list of actions
policies.definitions.conditionsAll
array of object
Untergeordnete Attribute anzeigen
policies.definitions.conditionsAll.any
object
policies.definitions.effect
string
erforderlich
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
policies.definitions.resources
array of string
erforderlich
A list of resources
policies.description
string
IAM Policy description.
policies.id
string
erforderlich
ID of the IAM Policy.
policies.metadata
object
Metadata for the IAM Policy.
Untergeordnete Attribute anzeigen
policies.metadata.apps
array of string
policies.metadata.clouds
array of string
policies.metadata.groups
array of string
policies.name
string
erforderlich
IAM Policy name.
policies.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
policies.scope
string
erforderlich
The scope to which this policy applies.
Possible values: organization, root
policies.updatedAt
string
erforderlich
When the IAM Policy was last updated.
policies.usersDependencyCount
integer
The number of users that depend on this IAM policy.
policies.id
string
erforderlich
ID of the IAM Policy.
policies.type
string
erforderlich
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
type
string
erforderlich
Whether this role is managed by MessageBird or by the organization.
Possible values: organization, managed
updatedAt
string
erforderlich
When this role was last updated.
usersDependencyCount
integer
erforderlich
The number of users this role is assigned to.
Codebeispiel
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/iam-roles/{roleId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'